# Parameters

The table below defines all the parameters used in the job configuration.

| S. No. | Parameter            | Description                                                                                                                                                                                                                             | Default Value       | Example                |
| ------ | -------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------- | ---------------------- |
| 1      | includeAll           | <p>‘true’ - To process all records<br>‘false’ - To process only records after the last run time</p>                                                                                                                                     | true                | true                   |
| 2      | importpath           | Specifies the SFTP location and path for importing the file from.                                                                                                                                                                       | -                   | -                      |
| 3      | remoteFilename       | A specific file name is passed to process it.                                                                                                                                                                                           | -                   | xyz.csv                |
| 4      | groupBy              | Parameter to specify which field of the CSV file to use as a grouping parameter for multi-threading.                                                                                                                                    | None                | orderId                |
| 5      | additionalParameters | Additional parameters for job customization.                                                                                                                                                                                            | -                   | -                      |
| 6      | fileNameRegex        | Specifies a regular expression for filtering filenames.                                                                                                                                                                                 | -                   | *.*                    |
| 7      | scheduleNow          | <p><code>true</code> - Imports data into the MDM and processes immediately<br><code>false</code> - Imports data into the MDM for the ‘Process Bulk Import Files Job’ to process</p>                                                     | -                   | true                   |
| 8      | frequency            | The interval in minutes used to calculate the last sync time by subtracting it from the current time when no previous sync exists.                                                                                                      | -                   | 2 min                  |
| 9      | limit                | Records fetched from an API query can be paginated. The limit parameter specifies the maximum records fetched in a page.                                                                                                                | -                   | 50                     |
| 10     | orderId              | HotWax OrderId for the order that needs to be processed by the job                                                                                                                                                                      | All eligible orders | HC29435                |
| 11     | cancelledDate        | The date for which canceled orders are to be uploaded by the service.                                                                                                                                                                   | null                | 12/12/2024             |
| 12     | createdByJobId       | ID of the job that initiated this job.                                                                                                                                                                                                  | -                   | 1005759                |
| 13     | bufferTime           | Specifies the [buffer time](https://docs.hotwax.co/documents/learn-shopify/shopify-integration/orders/order-download/buffertimes#buffertime)(in minutes) for scheduling the job.                                                        | -                   | 5 min                  |
| 14     | thruDateBuffer       | Specifies the [thruDateBuffer](https://docs.hotwax.co/documents/learn-shopify/shopify-integration/orders/order-download/buffertimes#thrudatebuffer) time (in minutes) for scheduling jobs.                                              | -                   | 5 min                  |
| 15     | financialStatus      | Parameter to filter records using a specific financial status                                                                                                                                                                           | all                 | settled                |
| 16     | filterQuery          | Specifies a filter query for more targeted metafield downloads.                                                                                                                                                                         | -                   | -                      |
| 17     | intervalDays         | Specifies the number of days between each notification sent to customers.                                                                                                                                                               | -                   | 10                     |
| 18     | maxOccurrences       | Specifies the maximum number of times a notification can be sent to customers                                                                                                                                                           | 0                   | 3                      |
| 19     | emailType            | Specific type of email template to use for a notification                                                                                                                                                                               | -                   | DM\_ERROR\_FILE        |
| 20     | facilityid           | Parameter to filter the records by the passed HotWax facility IDs.                                                                                                                                                                      | None                | \[‘132’, ‘27’]         |
| 21     | productId            | Parameter to filter the records by the passed HotWax product IDs.                                                                                                                                                                       | all                 | 93853                  |
| 22     | idType               | Specifies type of ID being passed in the idValue parameter.                                                                                                                                                                             | SKU                 | UPCA                   |
| 23     | iDValue              | Specifies the value of the idType passed in the idValue Parameters                                                                                                                                                                      | -                   | 654253097              |
| 24     | startDateTime        | This parameter is used to define the starting point in time from which records should be processed.                                                                                                                                     | -                   | 12-12-2025 10:10:23    |
| 25     | returnId             | HotWax return id for the return that needs to be processed by the job                                                                                                                                                                   | -                   | 10941                  |
| 26     | fileProcessingDelay  | Specifies the interval for processing a file.                                                                                                                                                                                           | -                   | 5 min                  |
| 27     | Since Id             | Processes records created after the record with the specified ID.                                                                                                                                                                       | Since beginning     | 2024-12-16 13:24:03    |
| 28     | configId             | The configuration ID of the MDM where the job uploads the file it imports.                                                                                                                                                              | -                   | CARRIER\_CODE          |
| 29     | topicEnumID          | This parameter is passed in a service to trigger a webhook associated with that specific topic.                                                                                                                                         | -                   | WEBHOOK\_SHIP\_SHIPPED |
| 30     | propertyResource     | Specifies the property resource for configuration.                                                                                                                                                                                      | -                   | FTP\_CONFIG            |
| 31     | nameSpace            | <p>Specifies the namespace category in Shopify.<br><strong>Note:</strong><br><em>In Shopify metafields, the namespace is a way to categorize or group related metafields together to avoid naming conflicts and organize data.</em></p> | -                   | HotwaxOrderDetails     |
| 32     | Shipment ID          | The ID associated with the shipment.                                                                                                                                                                                                    | -                   | 12602                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hotwax.co/documents/retail-operations/workflow/job-workflows/parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
